@import 'src/app/styles/mixins';
@import 'src/app/styles/props';

:host {
  @include flex(center, space-between);
}

.app-ellipsis-paginator-size-dropdown {
  @include flex(center, center);
  font-size: 12px;
}

// size select
.app-size-select {
  position: relative;
  margin-left: 12px;

  // value
  .app-value {
    @include topLeft;
    @include ubuntuMedium;
    @include flex(center, center);
    @include padding(0 12px 0 8px);
    font-size: 12px;
    line-height: 13px;
    color: $havelock-blue;
    cursor: pointer;
    border-radius: 6px;
    height: 28px;
    background-color: rgba($solitude, 0.3);
    user-select: none;

    // icon
    .app-icon {
      margin-left: 8.7px;

      ::ng-deep {
        path {
          fill: $havelock-blue;
        }
      }
    }
  }

  .app-options {
    position: absolute;
    bottom: calc(100% + 10px);
    border-radius: 4px;
    box-shadow: 0 1px 15px rgba($black, 0.15);
    min-width: 80px;
    background-color: $white;
    left: 0;
    z-index: 50;

    .app-option {
      @include padding(0 15px);
      @include flex(center);
      white-space: nowrap;
      font-size: 10px;
      line-height: 13px;
      color: $eclipse;
      height: 28px;
      cursor: pointer;

      &:hover {
        background-color: rgba($havelock-blue, 0.3);
      }
    }

    ::ng-deep {
      .ps-content {
        max-height: 28px * 4;
      }
    }
  }
}

.app-ellipsis-paginator {
  @include flex(center);

  // icon
  .app-icon {
    @include box(12px);
    cursor: pointer;

    &:not(.disabled):hover {
      opacity: 0.8;
    }

    ::ng-deep {
      svg {
        @include box(100%);
      }

      path {
        stroke: $havelock-blue;
      }
    }

    &.disabled {
      ::ng-deep {
        path {
          stroke: $pink-swan;
        }
      }
    }
  }
}

.app-ellipsis-paginator-page {
  @include flex(center, center);
  @include padding(0 3px);
  @include ubuntuMedium;
  min-width: 14px;
  height: 14px;
  cursor: pointer;
  font-size: 12px;
  line-height: 13px;
  color: $havelock-blue;

  &.ellipsis {
    cursor: auto;
    color: $eclipse;
  }

  &.active {
    color: $eclipse;
  }
}
